VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Contact Sign in, sign out."
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public WithEvents MSN As MessengerAPI.Messenger
Attribute MSN.VB_VarHelpID = -1

Private Sub Form_Load()
    Set MSN = New Messenger 'Create out messenger
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set MSN = Nothing
End Sub

Private Sub MSN_OnContactStatusChange(ByVal pMContact As Object, ByVal mStatus As MessengerAPI.MISTATUS)
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' This is called when a contact changes there status.
If (offline(mStatus)) And (Not offline(pMContact.Status)) Then
    'If the previous status(mStatus) was offline, and the current status is online
    'They just signed in ;), so run the program, a simple 'shell' will do e.g.
    'Shell "PathToProgram"
    'The example below runs notepad
    Shell "C:\Windows\Notepad.exe" ' Run notepad
    'To be able to send parameters you may want to use 'ShellExecute'
    'If you want more information, let me know
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

' Just to let u know, to receive sign out you would do it the other way round, i.e.
ElseIf (Not offline(mStatus)) And (offline(pMContact.Status)) Then
    MsgBox "Contact signed out."
End If

End Sub

Private Function offline(stat As MISTATUS) As Boolean
    offline = False ' Assume not offline unless case of below.
    Select Case stat
        Case MISTATUS.MISTATUS_INVISIBLE
            offline = True
        Case MISTATUS.MISTATUS_OFFLINE
            offline = True
        Case MISTATUS.MISTATUS_UNKNOWN
            offline = True
        Case MISTATUS.MISTATUS_LOCAL_CONNECTING_TO_SERVER
            offline = True
        Case MISTATUS.MISTATUS_LOCAL_DISCONNECTING_FROM_SERVER
            offline = True
        Case MISTATUS.MISTATUS_LOCAL_SYNCHRONIZING_WITH_SERVER
            offline = True
        Case MISTATUS.MISTATUS_LOCAL_FINDING_SERVER
            offline = True
    End Select
End Function
